Bug 1803174 - [OpenStack] CI tests fail with "No package awscli available." message
Summary: [OpenStack] CI tests fail with "No package awscli available." message
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.4.0
Assignee: Martin André
QA Contact: David Sanz
URL:
Whiteboard:
Depends On:
Blocks: 1825478
TreeView+ depends on / blocked
 
Reported: 2020-02-14 15:39 UTC by Mike Fedosin
Modified: 2020-05-04 11:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1825478 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:36:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3110 None closed Bug 1803174: OpenStack CI Install awscli from zip 2020-04-22 17:02:35 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:37:27 UTC

Description Mike Fedosin 2020-02-14 15:39:06 UTC
CI tests fail with next message

No package awscli available.
Error: Not tolerating missing names on install, stopping.
error: build error: running 'yum update -y &&     yum inst...ean all && rm -rf /var/cache/yum/*' failed with exit code 1 

More information:
https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/pr-logs/pull/openshift_installer/2745/pull-ci-openshift-installer-master-images/8139

Comment 1 Martin André 2020-02-17 14:08:27 UTC
We'll want to backport this once we have jobs on stable branches (https://github.com/openshift/release/pull/6224 for the installer repo).

Comment 4 David Sanz 2020-02-18 15:14:18 UTC
Verified on 4.4.0-0.nightly-2020-02-18-140650

Comment 6 errata-xmlrpc 2020-05-04 11:36:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.